using System.Reflection;
using UpdateInfoModule.Views;

namespace UpdateInfoModule
{
    public class UpdateInfoModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();
            regionManager.RegisterViewWithRegion("ShellViewManager", typeof(UpdateInfoView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<UpdateInfoView>("UpdateInfoView");
        }
    }
}
